## wxIconizeEvent

An event being sent when the frame is iconized (minimized) or restored.

Currently only wxMSW and wxGTK generate such events.

Derived from

wxEvent
wxObject

Include files

<wx/event.h>

Event table macros

To process an iconize event, use this event handler macro to direct input to a member function that takes a wxIconizeEvent argument.

EVT_ICONIZE(func) | Process a wxEVT_ICONIZE event.

See also

Event handling overview, wxFrame::Iconize, wxFrame::IsIconized

Members

wxIconizeEvent::wxIconizeEvent
wxIconizeEvent::Iconized

### wxIconizeEvent::wxIconizeEvent

wxIconizeEvent(int id = 0, bool iconized = TRUE)

Constructor.

### wxIconizeEvent::Iconized

bool Iconized() const

Returns `TRUE` if the frame has been iconized, `FALSE` if it has been restored.